Subject: Re: [Trustees] Proposed Revisions to the IETF Trust Legal Provisions (TLP)

From: Marshall Eubanks <[email-masked]>
Date: Sat, 18 Jul 2009 12:55:41 -0400

Hello;

We (the Trustees) have received feedback on the proposed changes to  
the Trust Legal Provisions (TLP) and have agreed to take the following  
actions. Since the original call went out on the 23rd of June, the  
comment period is extended to the 23rd of July.

1.  Reject lowering the TLP community review period to 14 days from  
the current 30 day period. (2.e)

2.  Retain the ability to include a short pointer to the BSD license  
for Code Component legends (6.d)

3.  Reference the BSD license as the 'Simplified BSD License' (4.c).  
With this, the new language is

      4. c. License.    In addition to the licenses granted under  
Section 3, unless one of the legends contained in
      Section 6.c.i or 6.c.ii is included in an IETF Document  
containing Code Components, such Code Components are
      also licensed to each person who wishes to receive such a  
license on the terms of the "Simplified BSD License",
      as described below.

Also

       The above BSD License is intended to be compatible with the  
Simplified BSD License template published at
       http://opensource.org/licenses/bsd-license.php .

4.  Move the URL in Section 6b to follow IETF Trust’s Legal Provisions  
Relating to IETF Documents as proposed

5.  Provide a TLP mailing list for interested parties to provide input  
regarding proposed policy changes before posting for community review

6.  Provide the rationale for proposed changes in the future, rather  
than a summary listing  of the changes

The rationale for the remaining summary of proposed changes will be  
sent in a separate email.

We have not heard feedback on the remaining changes (see below) and  
without additional comments those proposed changes will be  
implemented. The full text can be found at

http://trustee.ietf.org/policyandprocedures.html

under Draft Legal Provisions Relating to IETF Documents (18 June 2009)  
(TLP). I would urge interested parties to read and comment by the  
close of the comment period.

Regards
Marshall Eubanks
Chair
IETF Trust

On Jun 23, 2009, at 1:32 AM, Marshall Eubanks wrote:

> The IETF Trustees invite your comments on the proposed revisions to  
> the "Legal Provisions Relating to IETF Documents" (TLP) policy.  The  
> proposed revisions are in rtf, pdf and doc formats and located at: http://trustee.ietf.org/policyandprocedures.html 
>  under Draft Policies and Procedures for IETF Documents.
>
> This is a summary of the proposed revisions:
>
> 2.e -- the review period for TLP changes has been changed from 30 to  
> 14 days, which is consistent with the last-call period for other  
> IETF documents
>
> 2.f -- this new language describes the conditions under which the  
> IETF Trust will assume licensing and copyright responsibility for  
> IAB, IRTF and Independent Stream submissions, should the managers of  
> those streams request that it do so.
>
> 4.a -- the URL for the list of Code Components has been updated
>
> 4.c -- clarifies that the BSD License may not be applied to Code  
> Components that come from IETF Documents as to which the Contributor  
> has prohibited the making of derivative works.
>
> 4.e -- this new section clarifies the legend requirements for Code  
> Components that are used in software under the BSD License. In  
> short, the user must include the full BSD License text or a shorter  
> pointer to it (which is set forth in Section 6.d)
>
> 6 -- the language regarding placement of legends on IETF Documents  
> has been clarified.  Placement on the "first page" is no longer  
> required, and authority for placement of the legends is  with the  
> RFC Editor and IESG.
>
> 6.a - the words "to IETF" have been removed, to enable submission to  
> IAB, IRFT and other streams.
>
> 6.b -- a new sentence has been added to the legend that must be  
> placed on all IETF Documents, pointing out the BSD License  
> requirements described in 4.e above and emphasizing that code in  
> IETF Documents comes without any warranty, as described in the BSD  
> License.
>
> 6.c -- some minor clean-up edits
>
> 6.d -- the BSD legend/pointer described in 4.e above
>
> 7.a -- correction of capitalization
>
> Please accept this message as a formal request by the IETF Trustees  
> for your review and feedback on the proposed revision to the TLP  
> document. The comment period will end on July 20, 2009.
>
> I expect the Trustees will decide on whether to adopt this revision  
> shortly after July 20, 2009.
>
> Regards, and thanks in advance,
>
> Marshall Eubanks
> IETF Trust Chair
> _______________________________________________
> Trustees mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/trustees
>

---

From: Marshall Eubanks <[email-masked]>
Date: Sat, 18 Jul 2009 14:00:29 -0400

This is just a nit, but I did get a question on it :

Since the acronym "TLP" is only used twice in the Trust Legal  
Provisions document, the acronym will
not be used in that document and the term "Trust Legal Provisions"  
will be spelled out each time.

Regards
Marshall

On Jul 18, 2009, at 12:55 PM, Marshall Eubanks wrote:

> the Trust Legal Provisions (TLP) and have agreed to take the  
> following actions. Since the original call went out on the 23rd of  
> June, the comment period is extended to the 23rd of July.
>
> 4.  Move the URL in Section 6b to follow IETF Trust’s Legal  
> Provisions Relating to IETF Documents as proposed
>
> 5.  Provide a TLP mailing list for interested parties to provide  
> input regarding proposed policy changes before posting for community  
> review
>
> under Draft Legal Provisions Relating to IETF Documents (18 June  
> 2009) (TLP). I would urge interested parties to read and comment by  
> the close of the comment period.
>
> Regards
> Marshall Eubanks
> Chair
> IETF Trust
>
>> the "Legal Provisions Relating to IETF Documents" (TLP) policy.   
>> The proposed revisions are in rtf, pdf and doc formats and located  
>> at: http://trustee.ietf.org/policyandprocedures.html under Draft  
>> Policies and Procedures for IETF Documents.
>>
>> 2.e -- the review period for TLP changes has been changed from 30  
>> to 14 days, which is consistent with the last-call period for other  
>> IETF documents
>>
>> IAB, IRTF and Independent Stream submissions, should the managers  
>> of those streams request that it do so.
>>
>> Components that come from IETF Documents as to which the  
>> Contributor has prohibited the making of derivative works.
>>
>> 6.a - the words "to IETF" have been removed, to enable submission  
>> to IAB, IRFT and other streams.
>>